petsc-3.10.5 2019-03-28
Report Typos and Errors

# TaoSetEqualityConstraintsRoutine

Sets a function to be used to compute constraints. TAO only handles constraints under certain conditions, see manual for details

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetEqualityConstraintsRoutine(Tao tao, Vec ce, PetscErrorCode (*func)(Tao, Vec, Vec, void*), void *ctx)

Logically collective on Tao

### Input Parameters

| tao | - the Tao context
| ce | - A vector that will be used to store equality constraint evaluation
| func | - the bounds computation routine
| ctx | - [optional] user-defined context for private data for the equality constraints computation (may be NULL)

### Calling sequence of func

         func (Tao tao, Vec x, Vec ce, void *ctx);

| tao | - the Tao
| x | - point to evaluate equality constraints
| ce | - vector of equality constraints evaluated at x
| ctx | - the (optional) user-defined function context

### See Also

TaoSetObjectiveRoutine(), TaoSetHessianRoutine() TaoSetObjectiveAndGradientRoutine(), TaoSetVariableBounds()

### Level

intermediate

### Location

src/tao/interface/taosolver_bounds.c

### Examples

src/tao/constrained/examples/tutorials/maros.c.html
src/tao/constrained/examples/tutorials/toy.c.html
src/tao/constrained/examples/tutorials/toyf.F90.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages